# H245_IS13818AudioCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_IS13818AudioCapability:

List of all members.

## Public Member Functions

| H245_IS13818AudioCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_audioLayer1
PASN_Boolean | m_audioLayer2
PASN_Boolean | m_audioLayer3
PASN_Boolean | m_audioSampling16k
PASN_Boolean | m_audioSampling22k05
PASN_Boolean | m_audioSampling24k
PASN_Boolean | m_audioSampling32k
PASN_Boolean | m_audioSampling44k1
PASN_Boolean | m_audioSampling48k
PASN_Boolean | m_singleChannel
PASN_Boolean | m_twoChannels
PASN_Boolean | m_threeChannels2_1
PASN_Boolean | m_threeChannels3_0
PASN_Boolean | m_fourChannels2_0_2_0
PASN_Boolean | m_fourChannels2_2
PASN_Boolean | m_fourChannels3_1
PASN_Boolean | m_fiveChannels3_0_2_0
PASN_Boolean | m_fiveChannels3_2
PASN_Boolean | m_lowFrequencyEnhancement
PASN_Boolean | m_multilingual
PASN_Integer | m_bitRate

## Constructor & Destructor Documentation

H245_IS13818AudioCapability::H245_IS13818AudioCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_IS13818AudioCapability::GetDataLength | ( |  | ) | const

PBoolean H245_IS13818AudioCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_IS13818AudioCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_IS13818AudioCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_IS13818AudioCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_IS13818AudioCapability::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H245_IS13818AudioCapability::m_audioLayer1

PASN_Boolean H245_IS13818AudioCapability::m_audioLayer2

PASN_Boolean H245_IS13818AudioCapability::m_audioLayer3

PASN_Boolean H245_IS13818AudioCapability::m_audioSampling16k

PASN_Boolean H245_IS13818AudioCapability::m_audioSampling22k05

PASN_Boolean H245_IS13818AudioCapability::m_audioSampling24k

PASN_Boolean H245_IS13818AudioCapability::m_audioSampling32k

PASN_Boolean H245_IS13818AudioCapability::m_audioSampling44k1

PASN_Boolean H245_IS13818AudioCapability::m_audioSampling48k

PASN_Boolean H245_IS13818AudioCapability::m_singleChannel

PASN_Boolean H245_IS13818AudioCapability::m_twoChannels

PASN_Boolean H245_IS13818AudioCapability::m_threeChannels2_1

PASN_Boolean H245_IS13818AudioCapability::m_threeChannels3_0

PASN_Boolean H245_IS13818AudioCapability::m_fourChannels2_0_2_0

PASN_Boolean H245_IS13818AudioCapability::m_fourChannels2_2

PASN_Boolean H245_IS13818AudioCapability::m_fourChannels3_1

PASN_Boolean H245_IS13818AudioCapability::m_fiveChannels3_0_2_0

PASN_Boolean H245_IS13818AudioCapability::m_fiveChannels3_2

PASN_Boolean H245_IS13818AudioCapability::m_lowFrequencyEnhancement

PASN_Boolean H245_IS13818AudioCapability::m_multilingual

PASN_Integer H245_IS13818AudioCapability::m_bitRate

The documentation for this class was generated from the following file:

- h245.h